<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<title>sego中文分詞demo</title>
<head>
<style>
.left{float:left;}
</style>

<script type="text/javascript" src="jquery.min.js"></script>
<script type="text/javascript">

Segment = function() {
    var input = $('textarea#text').val();
    $.ajax({
        url: "/json",
        type: "POST",
        data: { text: input },
        dataType: "json",
	success: function (result) {
		var out = ""
		var last_word_is_x = false
		for (var i = 0; i < result.segments.length; i++) {
			var segment = result.segments[i]
			if (segment.pos == "x") {
				if (segment.text != "\n") {
					last_word_is_x = true
				} else {
					last_word_is_x = false
				}

				out += segment.text
			} else {
				if (last_word_is_x) {
					out += " "
				}
				out += segment.text + "/" + segment.pos + " "
			}
		}
		$('textarea#output').html(out);
        },
        error: function (xhr, ajaxOptions, thrownError) {
        alert(xhr.status);
        alert(thrownError);
        }
    });
};
</script>
</head>
<body>

<h1>sego中文分詞demo</h1>

<div class="left" width=100px>
<textarea id="text" rows="30" cols="60">
緊接著 Android 軟體將暫停為華為新產品提供支援的消息，華為的一部分硬體合作商在美國禁令的影響下，現在似乎也開始了相應的動作。據彭博社報導，Intel、高通和 Broadcom 這三大晶片公司均已做出了暫停為華為供貨的決定。其中 Intel 原本是給華為提供伺服器晶片和筆電處理器，而高通則是負責 modem 和處理器相關的一些產品。
除此之外，日經也報導稱來自德國的晶片供應商 Infineon Technologies 也已暫緩了向華為出貨（但會進一步評估情況），同時記憶體晶片廠商 Micron Technology 和 Western Digital 也都已有類似行動。不過面對這樣的情況，華為那邊其實也早早進行了準備，但能不能順利撐過艱難時期就是個未知數了。
</textarea>
</div>

<div class="left">
<br><br><br><br>
<br><br><br><br>
&nbsp;&nbsp;&nbsp;<button type="button" onclick="Segment()">分词 ---></button>&nbsp;&nbsp;&nbsp;
</div>

<div class="left" width=100px>
<textarea id="output" rows="30" cols="60" disabled></textarea>
</div>

</body>
</html> 